<?xml version="1.0" encoding="utf-8"?>
<forum id="30" title="Videos &amp; Podcasts" numthreads="15708" numposts="46869" lastpostdate="Thu, 01 Jan 1970 00:00:00 +0000" noposting="0" termsofuse="https://boardgamegeek.com/xmlapi/termsofuse">
	<threads>
					<thread id="3709904" subject="SUASD vs Boardgamebollocks on AI" author="delerme" numarticles="24" postdate="Sun, 17 May 2026 14:39:44 +0000" lastpostdate="Sat, 06 Jun 2026 07:35:38 +0000" />
					<thread id="3719383" subject="Unboxing an order from Amazon... Let&#039;s get streaking!" author="Cardboard_RJ" numarticles="1" postdate="Fri, 05 Jun 2026 16:58:25 +0000" lastpostdate="Fri, 05 Jun 2026 16:58:25 +0000" />
					<thread id="3719239" subject="Star Wars The Deckbuilding Game Clone Wars Edition | Inside with João Ricardo Ep875" author="table_talks" numarticles="1" postdate="Fri, 05 Jun 2026 11:21:14 +0000" lastpostdate="Fri, 05 Jun 2026 11:21:14 +0000" />
					<thread id="3718838" subject="Simple, Yet Intriguing #61: [The] Quacks [of Quedlinburg](Wolfgang Warsch 1)" author="simpleyetintriguing" numarticles="1" postdate="Thu, 04 Jun 2026 15:08:43 +0000" lastpostdate="Thu, 04 Jun 2026 15:08:43 +0000" />
					<thread id="3718514" subject="Professional Comedians Playing Games" author="grantlyon" numarticles="2" postdate="Wed, 03 Jun 2026 21:19:16 +0000" lastpostdate="Thu, 04 Jun 2026 01:04:33 +0000" />
					<thread id="3718217" subject="7 Wonders Architects – Medals | Inside with João Ricardo Ep874" author="table_talks" numarticles="1" postdate="Wed, 03 Jun 2026 08:26:43 +0000" lastpostdate="Wed, 03 Jun 2026 08:26:43 +0000" />
					<thread id="3179232" subject="KWIGGLI - der schneller Überblick" author="Hawk1982" numarticles="153" postdate="Fri, 27 Oct 2023 09:30:51 +0000" lastpostdate="Tue, 02 Jun 2026 14:25:32 +0000" />
					<thread id="3717722" subject="
Toy Battle | Inside with João Ricardo Ep873" author="table_talks" numarticles="1" postdate="Tue, 02 Jun 2026 09:50:47 +0000" lastpostdate="Tue, 02 Jun 2026 09:50:47 +0000" />
					<thread id="3717442" subject="Podcasts Looking for Guests" author="Loosejaw_Games" numarticles="1" postdate="Mon, 01 Jun 2026 19:21:39 +0000" lastpostdate="Mon, 01 Jun 2026 19:21:39 +0000" />
					<thread id="3717412" subject="On Board Games 590: Player Counts" author="Ayrk" numarticles="1" postdate="Mon, 01 Jun 2026 18:11:32 +0000" lastpostdate="Mon, 01 Jun 2026 18:11:32 +0000" />
					<thread id="3717354" subject="Our big Nintendo Direct style video about Origins Gamefair, new game releases, and some surprises is out!" author="TCGHistory" numarticles="1" postdate="Mon, 01 Jun 2026 15:49:25 +0000" lastpostdate="Mon, 01 Jun 2026 15:49:25 +0000" />
					<thread id="3717200" subject="Azul Duel | Inside with João Ricardo Ep872" author="table_talks" numarticles="1" postdate="Mon, 01 Jun 2026 10:44:16 +0000" lastpostdate="Mon, 01 Jun 2026 10:44:16 +0000" />
					<thread id="3717131" subject="Simple, Yet Intriguing #60: High Society(Modern Classics 12)" author="simpleyetintriguing" numarticles="1" postdate="Mon, 01 Jun 2026 06:57:39 +0000" lastpostdate="Mon, 01 Jun 2026 06:57:40 +0000" />
					<thread id="3716600" subject="Ascension - Solo playthrough - The classic deckbuilder. " author="Esmeralda de Vries" numarticles="1" postdate="Sun, 31 May 2026 04:21:20 +0000" lastpostdate="Sun, 31 May 2026 04:21:20 +0000" />
					<thread id="3716437" subject="TBL CON 2026 - This Board Game Life Episode - #122" author="rmilanov" numarticles="1" postdate="Sat, 30 May 2026 19:52:27 +0000" lastpostdate="Sat, 30 May 2026 19:52:27 +0000" />
					<thread id="3716352" subject="Top 50 Games of All Time 10-1" author="Frank_N_Dice" numarticles="1" postdate="Sat, 30 May 2026 16:46:26 +0000" lastpostdate="Sat, 30 May 2026 16:46:27 +0000" />
					<thread id="3716139" subject="The Spiel # 468 - Precious Ludolution" author="sconway" numarticles="1" postdate="Sat, 30 May 2026 07:10:05 +0000" lastpostdate="Sat, 30 May 2026 07:10:05 +0000" />
					<thread id="3715973" subject="Solo boardgame haul - 6 hidden gems I found second hand" author="Esmeralda de Vries" numarticles="2" postdate="Fri, 29 May 2026 19:44:08 +0000" lastpostdate="Sat, 30 May 2026 06:37:00 +0000" />
					<thread id="3716089" subject="Prefdo Metal Coins Review (Budget amazon coin upgrade)" author="Cardboard_RJ" numarticles="1" postdate="Sat, 30 May 2026 02:54:29 +0000" lastpostdate="Sat, 30 May 2026 02:54:29 +0000" />
					<thread id="3715977" subject="The History of Cooperative Games" author="TimMierz" numarticles="2" postdate="Fri, 29 May 2026 19:54:25 +0000" lastpostdate="Fri, 29 May 2026 22:06:29 +0000" />
					<thread id="3715644" subject="I found a copy!!" author="Cardboard_RJ" numarticles="1" postdate="Fri, 29 May 2026 03:20:46 +0000" lastpostdate="Fri, 29 May 2026 03:20:46 +0000" />
					<thread id="3712523" subject="Absolutely SMASHED game box--but is the game okay?" author="Cardboard_RJ" numarticles="7" postdate="Fri, 22 May 2026 18:07:29 +0000" lastpostdate="Fri, 29 May 2026 03:19:14 +0000" />
					<thread id="3708999" subject="Top 5 Games That Need Another Play" author="Cardboard_RJ" numarticles="6" postdate="Fri, 15 May 2026 17:27:56 +0000" lastpostdate="Fri, 29 May 2026 03:15:55 +0000" />
					<thread id="3715237" subject="Spiel des Jahres 2026 Nominations &amp; Poll" author="MutantPigeon24" numarticles="1" postdate="Thu, 28 May 2026 07:48:00 +0000" lastpostdate="Thu, 28 May 2026 07:48:00 +0000" />
					<thread id="3714400" subject="Boards Alive Podcast - Episode 277 with Benji – Birds on Birds, Baseball Card GM, Hades 2, and MLB The Show ’26" author="BoardsAlive" numarticles="1" postdate="Tue, 26 May 2026 16:04:57 +0000" lastpostdate="Tue, 26 May 2026 16:04:57 +0000" />
					<thread id="3714365" subject="Simple, Yet Intriguing Podcast #59: Schotten Totten/Battle Line(Modern Classics 11)" author="simpleyetintriguing" numarticles="1" postdate="Tue, 26 May 2026 15:08:03 +0000" lastpostdate="Tue, 26 May 2026 15:08:03 +0000" />
					<thread id="3714301" subject="Star Wars Unlimited Jump To Lightspeed Spotlight Decks | Inside with João Ricardo Ep871" author="table_talks" numarticles="1" postdate="Tue, 26 May 2026 12:41:24 +0000" lastpostdate="Tue, 26 May 2026 12:41:24 +0000" />
					<thread id="3713885" subject="Top 50 Games 20-11" author="Frank_N_Dice" numarticles="1" postdate="Mon, 25 May 2026 15:28:32 +0000" lastpostdate="Mon, 25 May 2026 15:28:32 +0000" />
					<thread id="3713881" subject="Top 50 Games 20-11" author="Frank_N_Dice" numarticles="1" postdate="Mon, 25 May 2026 15:27:27 +0000" lastpostdate="Mon, 25 May 2026 15:27:27 +0000" />
					<thread id="3713779" subject="Raiders of the North Sea - Hall of Heroes Expansion | Inside with João Ricardo Ep870" author="table_talks" numarticles="1" postdate="Mon, 25 May 2026 11:59:13 +0000" lastpostdate="Mon, 25 May 2026 11:59:13 +0000" />
					<thread id="3712997" subject="Solo Series Geeklist and Recent Top 5 Solo Game Video" author="mdawg" numarticles="1" postdate="Sat, 23 May 2026 19:14:41 +0000" lastpostdate="Sat, 23 May 2026 19:14:41 +0000" />
					<thread id="3712364" subject="
Raiders of the North Sea - Fields of Fame Expansion | Inside with João Ricardo Ep869" author="table_talks" numarticles="1" postdate="Fri, 22 May 2026 11:15:30 +0000" lastpostdate="Fri, 22 May 2026 11:15:30 +0000" />
					<thread id="3712357" subject="Polyhedron Collider Episode 186 - The UK Games Expo 2026 Preview" author="Wahoffelmadenga" numarticles="1" postdate="Fri, 22 May 2026 11:00:15 +0000" lastpostdate="Fri, 22 May 2026 11:00:15 +0000" />
					<thread id="3367468" subject="Shelf Stable - a podcast celebrating board games that have stood the test of time" author="kensiebensie" numarticles="14" postdate="Fri, 13 Sep 2024 17:46:21 +0000" lastpostdate="Thu, 21 May 2026 14:27:00 +0000" />
					<thread id="3711458" subject="417Gamer Podcast Episode 64: The One with Oranges &amp; Lemons " author="The_Rick" numarticles="1" postdate="Wed, 20 May 2026 15:02:03 +0000" lastpostdate="Wed, 20 May 2026 15:02:03 +0000" />
					<thread id="3711358" subject="Raiders of the North Sea | Inside with João Ricardo Ep868" author="table_talks" numarticles="1" postdate="Wed, 20 May 2026 10:16:20 +0000" lastpostdate="Wed, 20 May 2026 10:16:20 +0000" />
					<thread id="3711312" subject="UK Games Expo 2026 - Most anticipated 2 player games" author="Wahoffelmadenga" numarticles="1" postdate="Wed, 20 May 2026 07:37:07 +0000" lastpostdate="Wed, 20 May 2026 07:37:07 +0000" />
					<thread id="3711091" subject="Pivot to Pitching Publishers" author="themisplay" numarticles="1" postdate="Tue, 19 May 2026 19:12:40 +0000" lastpostdate="Tue, 19 May 2026 19:12:40 +0000" />
					<thread id="3710803" subject="Our Most Anticipated expansions coming to UK Games Expo 2026" author="Wahoffelmadenga" numarticles="1" postdate="Tue, 19 May 2026 06:34:13 +0000" lastpostdate="Tue, 19 May 2026 06:34:13 +0000" />
					<thread id="3710543" subject="On Board Games 589: Teachability" author="Ayrk" numarticles="1" postdate="Mon, 18 May 2026 18:03:01 +0000" lastpostdate="Mon, 18 May 2026 18:03:01 +0000" />
					<thread id="3710490" subject="UK Games Expo 2026 - Most Anticipated Big Games Video" author="Wahoffelmadenga" numarticles="1" postdate="Mon, 18 May 2026 16:18:13 +0000" lastpostdate="Mon, 18 May 2026 16:18:13 +0000" />
					<thread id="3710376" subject="Disney Lorcana Wilds Unknown 2 Player Starter Deck | Inside with João Ricardo Ep867" author="table_talks" numarticles="1" postdate="Mon, 18 May 2026 12:05:21 +0000" lastpostdate="Mon, 18 May 2026 12:05:21 +0000" />
					<thread id="3709087" subject="Best small solo crawler???" author="Esmeralda de Vries" numarticles="4" postdate="Fri, 15 May 2026 20:21:12 +0000" lastpostdate="Sat, 16 May 2026 10:55:50 +0000" />
					<thread id="3705318" subject="Thanks, Actualol." author="Cardboard_RJ" numarticles="4" postdate="Fri, 08 May 2026 17:24:04 +0000" lastpostdate="Fri, 15 May 2026 17:27:05 +0000" />
					<thread id="3708695" subject="Simple, Yet Intriguing #58: The Lord of the Rings(Modern Classics 10)" author="simpleyetintriguing" numarticles="1" postdate="Fri, 15 May 2026 03:52:28 +0000" lastpostdate="Fri, 15 May 2026 03:52:28 +0000" />
					<thread id="3708418" subject="Podcast on game preservation from TCG Buzz" author="TCGHistory" numarticles="1" postdate="Thu, 14 May 2026 15:35:59 +0000" lastpostdate="Thu, 14 May 2026 15:35:59 +0000" />
					<thread id="3708305" subject="DC Deck-Building Game Crisis Collection 2 | Inside with João Ricardo Ep865" author="table_talks" numarticles="1" postdate="Thu, 14 May 2026 12:06:34 +0000" lastpostdate="Thu, 14 May 2026 12:06:34 +0000" />
					<thread id="3707736" subject="DC Deck-Building Game Rivals – Superman vs. Lex Luthor | Inside with João Ricardo Ep864" author="table_talks" numarticles="1" postdate="Wed, 13 May 2026 11:36:06 +0000" lastpostdate="Wed, 13 May 2026 11:36:06 +0000" />
					<thread id="3707614" subject="Golden Geek 2026 Winners - This Board Game Life Episode - #121" author="rmilanov" numarticles="1" postdate="Wed, 13 May 2026 04:45:01 +0000" lastpostdate="Wed, 13 May 2026 04:45:01 +0000" />
					<thread id="3706888" subject="Boards Alive Podcast - Episode 276 with Matt – Rook Requiem, Luthier, Dice A Million, Unmatched: Stars and Stripes, and Redwood" author="BoardsAlive" numarticles="1" postdate="Mon, 11 May 2026 16:48:46 +0000" lastpostdate="Mon, 11 May 2026 16:48:46 +0000" />
		</threads>
</forum>
